routes/web.php
<?php

use App\Http\Controllers\AdminController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SellerAuthController;
use App\Http\Controllers\SellerController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

// Route::prefix('admin')->controller(App\Http\Controllers\Admin\HomeController::class)->middleware('auth:admins')->group(function () {

//     Route::get('/', 'home');
//     // Route::resource('admins', AdminController::class);
// });

// Route::prefix('seller')->controller(App\Http\Controllers\Seller\HomeController::class)->middleware('auth:sellers')->group(function () {

//     Route::get('/', 'home');
//     // Route::resource('categories', CategoryController::class);
//     // Route::resource('admins',AdminController::class);
//     // Route::post('logout', [AuthController::class, 'logout'])->name('logout');
// });

// Route::controller(App\Http\Controllers\User\HomeController::class)->group(function () {

//     Route::get('/', 'home');
// });

// Route::prefix('admin')->controller(App\Http\Controllers\Admin\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('admin.login');
//     Route::post('login', 'login');
// });

// Route::prefix('seller')->controller(App\Http\Controllers\Seller\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('seller.login');
//     Route::post('login', 'login');
// });

// Route::controller(App\Http\Controllers\User\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('login');
//     Route::post('login', 'login');
// });

Route::prefix('admin')->middleware('guest:admin')->group(function(){

    // Route::view('login','cms.login')->name('login');
    Route::get('login',[AuthController::class,'showLogin'])->name('login.admin');
    Route::post('login',[AuthController::class,'login']);

});

Route::prefix('admin')->middleware('auth:admin')->group(function(){

    Route::view('/','cmsAdmin.demo');

    Route::resource('users',UserController::class);
    Route::resource('sellers',SellerController::class);
    Route::resource('admins',AdminController::class);
    Route::get('logout',[AuthController::class,'logout'])->name('logout.admin');
});

Route::prefix('seller')->middleware('guest:seller')->group(function(){

    // Route::view('login','cms.login')->name('login');
    Route::get('login',[SellerAuthController::class,'showLogin'])->name('login.seller');
    Route::post('login',[SellerAuthController::class,'login']);

});

Route::prefix('seller')->middleware('auth:seller')->group(function(){

    Route::view('/','seller.home');

    // Route::resource('cities',CityController::class);
    Route::resource('categories',CategoryController::class);
    Route::get('logout',[SellerAuthController::class,'logout'])->name('logout.seller');
});

app/Models/Seller.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
// use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;


class Seller extends Authenticatable
{
    use HasFactory;
}

app/Http/Controllers/SellerController.php
<?php

namespace App\Http\Controllers;

use App\Models\Seller;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class SellerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $date = Seller::all();
        return response()->view('cmsAdmin.seller.index',['sellers'=>$date]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return response()->view('cmsAdmin.seller.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $validator = Validator($request->all(),
        [
        'name'=>'required|string|min:3|max:15',
        'email'=>'required|string|email',
        'mobile_number'=>'required'],);
        if(!$validator->fails()){
            $seller = new Seller();
            $seller->name = $request->get('name');
            $seller->email = $request->get('email');
            $seller->mobile_number = $request->get('mobile_number');
            $isSaved = $seller->save();
            return response()->json([
                'message'=> $isSaved ? "Successfully" : "Failed"],
            $isSaved ? Response::HTTP_CREATED:
            Response::HTTP_BAD_REQUEST);
        }else{
            return response()->json([
                'message' => $validator->getMessageBag()->first()
            ], Response::HTTP_BAD_REQUEST);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Seller  $seller
     * @return \Illuminate\Http\Response
     */
    public function show(Seller $seller)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Seller  $seller
     * @return \Illuminate\Http\Response
     */
    public function edit(Seller $seller)
    {
        //
        return response()->view('cmsAdmin.seller.edit',['seller'=>$seller]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Seller  $seller
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Seller $seller)
    {
        //
        $validator = Validator($request->all(),
        ['name'=>'required|string|min:3|max:15',
         'email'=>'required|string|email',
         'mobile_number'=>'required'],
        );
        if(!$validator->fails()){
            $seller->name = $request->get('name');
            $seller->email = $request->get('email');
            $seller->mobile_number = $request->get('mobile_number');
            $isUpdated = $seller->save();
            return response()->json([
                'message'=> $isUpdated ? "Successfully" : "Failed"],
            $isUpdated ? Response::HTTP_CREATED:
            Response::HTTP_BAD_REQUEST);
        }else{
            return response()->json([
                'message' => $validator->getMessageBag()->first()
            ], Response::HTTP_BAD_REQUEST);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Seller  $seller
     * @return \Illuminate\Http\Response
     */
    public function destroy(Seller $seller)
    {
        //
        $isDeleted = $seller->delete();
        if($isDeleted){
            return response()->json(['title'=>'Success!','text'=>'seller Deleted Successfully','icon'=>'success'
        ],Response::HTTP_OK);
        }
        else{
            return response()->json(['title'=>'Failed','text'=>'Faild to Delete seller','icon'=>'error'
        ],Response::HTTP_BAD_REQUEST);
        }
    }
}

resources/views/seller/login.blade.php
<!DOCTYPE html>
<html lang="en" dir="rtl">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.rtl.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/css/intlTelInput.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-nice-select/1.1.0/css/nice-select.min.css">
    <link rel="stylesheet" href="{{asset('assets/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/rtl.css')}}">
    <link rel="stylesheet" href="{{asset('assets/plugins/toastr/toastr.min.css')}}">
    <title>Login</title>
  </head>
  <body>
    <div class="auth-layout">
      <div class="container-fluid p-0">
        <div class="row row-cols-1 g-0 row-cols-lg-2">
          <div class="col">
            <div class="auth-side-content">
              <div class="auth-nav">
                <div class="auth-nav-logo"> <img src="{{asset('assets/images/logo.png')}}" alt=""></div>
              </div>
              <div class="auth-header">
                <h2>لنا مكان في  <br> كل دكان</h2>
                <h3>قم بإدارة طلباتك , عروضك , عملائك بسهولة</h3>
              </div>
              <div class="auth-bg"> <img src="{{asset('assets/images/auth-bg.png')}}" alt=""></div>
            </div>
          </div>
          <div class="col">
            <div class="auth-form">
              <div class="icon"> <img src="{{asset('assets/images/icons/waving-hand.svg')}}" alt=""></div>
              <h1>مرحباً . قم بتسجيل الدخول </h1>
              <form>
                  <div class="input-group mb-3">
                    <input type="email" id="email" class="form-control" placeholder="Email">
                    <div class="input-group-append">
                      <div class="input-group-text">
                        <span class="fas fa-envelope"></span>
                      </div>
                    </div>
                  </div>
                  <div class="input-group mb-3">
                    <input type="password" id="password" class="form-control" placeholder="Password">
                    <div class="input-group-append">
                      <div class="input-group-text">
                        <span class="fas fa-lock"></span>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-8">
                      <div class="icheck-primary">
                        <input type="checkbox" id="remember">
                        <label for="remember">
                          Remember Me
                        </label>
                      </div>
                    </div>
                    <!-- /.col -->
                    {{-- <div class="col-4">
                      <button type="button" onclick="login()" class="btn btn-primary btn-block">Sign In</button>
                    </div> --}}
                    <!-- /.col -->
                  </div>
                <div id="error-msg"></div>
                <div id="valid-msg"></div>
                <div class="btn-submit">
                    <button type="button" onclick="login()" class="btn hvr-float-shadow">تسجيل الدخول </button>
                     {{-- <a class="btn hvr-float-shadow" onclick="login()"><span>تسجيل الدخول   </span></a> --}}
                </div>
                <div class="bottom-form-text">
                  <h5>ما اشتركت معنا بعد   <a href="#">إشترك الآن   </a></h5>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"> </script>
    <script src="https://code.jquery.com/jquery-2.2.4.min.js"> </script>
    <script src="{{asset('assets/js/jquery-pincode-autotab.min.js')}}"> </script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"> </script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/intlTelInput.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-nice-select/1.1.0/js/jquery.nice-select.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.nicescroll/3.7.6/jquery.nicescroll.min.js"> </script>
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"> </script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/waypoints/2.0.3/waypoints.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Counter-Up/1.0.0/jquery.counterup.min.js"></script>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDSbSmPAGJ9yjR_hfPXnHBH_5zplpE_5sY&amp;callback=initAutocomplete&amp;libraries=places&amp;v=weekly" defer></script>
    <script src="{{asset('assets/js/bundle.min.js')}}"> </script>
    <script src="{{asset('assets/js/moreFields.js')}}"> </script>
    <script src="{{asset('assets/js/main.js')}}"> </script>
    <script src="{{asset('assets/js/charts.js')}}"> </script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="{{asset('assets/plugins/toastr/toastr.min.js')}}"></script>

    <script>

        function login(){
            axios.post('/seller/login',{
                email:document.getElementById('email').value,
                password:document.getElementById('password').value,
                remember:document.getElementById('remember').checked,
            })
            .then(function (response) {
                // handle success
                console.log(response);
                toastr.success(response.data.message);
                window.location.href = "/seller/";
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                toastr.error(error.response.data.message);
            })
            .then(function () {
                // always executed
            });
        }

    </script>

  </body>
</html>

resources/views/seller/parent.blade.php
<!DOCTYPE html>
<html lang="en" dir="rtl">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.rtl.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/css/intlTelInput.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-nice-select/1.1.0/css/nice-select.min.css">
    <link rel="stylesheet" href="{{asset('assets/css/style.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/rtl.css')}}">
    <link rel="stylesheet" href="{{asset('assets/plugins/toastr/toastr.min.css')}}">
    @yield('styles')
    <title>@yield('title')</title>
  </head>
  <body></body>
  <div class="dashboard-layout">
    <div class="dashbord-navbar">
      <div class="logo">  <img src="{{asset('assets/images/logo.png')}}" alt="alt"></div>
      <div class="dash-breadcrumb ms-4">
        <h1> الرئيسية
        </h1>
      </div>
      <div class="dash-actions"><a class="lang-btn">
          <div class="code"> ar </div><span>العربية </span></a>
        <div class="search">
          <form action="#" method="method">
            <div class="form-group">
              <input class="form-control" type="text">
              <button>~<i class="fas fa-search"></i></button>
            </div>
          </form>
        </div>
        <div class="noti">
          <button>
            <svg>
              <use href="{{asset('assets/images/icons/icons.svg#notification')}}"></use>
            </svg>
          </button>
        </div>
        <div class="account-area">
          <div class="dropdown">
            <button class="btn p-0 dropdown-toggle" id="userStatus" type="button" data-bs-toggle="dropdown" aria-expanded="false"><img src="{{asset('assets/images/photo-top.png')}}" alt=""></button>
            <ul class="dropdown-menu" aria-labelledby="userStatus">
              <li><a class="dropdown-item" href="#">
                  <h5>Matgar One</h5><span>46313</span></a></li>
              <li><a class="dropdown-item" href="#">
                  <h5>{{ auth()->user()->name }}</h5><span>{{ auth()->user()->email }}</span></a></li>
              <li><a class="dropdown-item" href="{{route('logout.seller')}}">
                  <h5>تسجيل الخروج</h5></a></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div id="main">
      <div class="dash-sidebar">
        <div class="top-sidebar">
          <div class="logo">  <img src="{{asset('assets/images/logo.png')}}" alt="alt"></div>
          <div class="close-menu"> <i class="fas fa-times">    </i></div>
        </div>
        <div class="list-links">
                <div class="list-links-group">
                  <h5></h5>
                  <ul>
                    <li><a class="active" href="#">
                        <div class="icon"> <img src="{{asset('assets/images/menu/home.svg')}}" alt=""></div><span>الرئيسية</span></a></li>
                  </ul>
                </div>
                <div class="list-links-group">
                  <h5>المنتجات</h5>
                  <ul>
                    <li><a href="#">
                        <div class="icon"> <img src="{{asset('assets/images/menu/Product_Package.svg')}}" alt=""></div><span>المنتجات </span></a></li>
                    <li><a href="{{route('categories.index')}}">
                        <div class="icon"> <img src="{{asset('assets/images/menu/plus.svg')}}" alt=""></div><span>التصنيفات </span></a></li>
                  </ul>
                </div>
                <div class="list-links-group">
                  <h5>الطلبات</h5>
                  <ul>
                    <li><a href="../dashboard/order-2.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/Shopping_Bag.svg')}}" alt=""></div><span>الطلبات </span></a></li>
                    <li><a href="../dashboard/bargains.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/Tag.svg')}}" alt=""></div><span>الصفقات </span></a></li>
                  </ul>
                </div>
                <div class="list-links-group">
                  <h5>التسويق</h5>
                  <ul>
                    <li><a href="../dashboard/Abandoned-baskets.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/cart.svg')}}" alt=""></div><span>السلات المتروكة </span></a></li>
                  </ul>
                </div>
                <div class="list-links-group">
                  <h5>العملاء</h5>
                  <ul>
                    <li><a href="../dashboard/clients.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/users.svg')}}" alt=""></div><span>العملاء </span></a></li>
                    <li><a href="../dashboard/chat.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/comm-chat.svg')}}" alt=""></div><span>الرسائل </span></a></li>
                  </ul>
                </div>
                <div class="list-links-group">
                  <h5>الإعدادات</h5>
                  <ul>
                    <li><a href="../dashboard/shipping-delivery.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/fast.svg')}}" alt=""></div><span>الشحن والتوصيل </span></a></li>
                    <li><a href="../dashboard/storage-locations.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/shed.svg')}}" alt=""></div><span>مواقع التخزين  </span></a></li>
                    <li><a href="../dashboard/payments.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/wallet.svg')}}" alt=""></div><span>طرق الدفع </span></a></li>
                    <li><a href="../dashboard/stocked.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/shipping.svg')}}" alt=""></div><span>المخزون  </span></a></li>
                    <li><a href="../dashboard/team.html">
                        <div class="icon"> <img src="{{asset('assets/images/menu/users.svg')}}" alt=""></div><span>إدارة الفريق  </span></a></li>
                  </ul>
                </div>
        </div>
      </div>
      @yield('main-content')
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"> </script>
    <script src="https://code.jquery.com/jquery-2.2.4.min.js"> </script>
    <script src="{{asset('assets/js/jquery-pincode-autotab.min.js')}}"> </script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"> </script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/intlTelInput.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-nice-select/1.1.0/js/jquery.nice-select.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.nicescroll/3.7.6/jquery.nicescroll.min.js"> </script>
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"> </script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/waypoints/2.0.3/waypoints.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Counter-Up/1.0.0/jquery.counterup.min.js"></script>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDSbSmPAGJ9yjR_hfPXnHBH_5zplpE_5sY&amp;callback=initAutocomplete&amp;libraries=places&amp;v=weekly" defer></script>
    <script src="{{asset('assets/js/bundle.min.js')}}"> </script>
    <script src="{{asset('assets/js/moreFields.js')}}"> </script>
    <script src="{{asset('assets/js/main.js')}}"> </script>
    <script src="{{asset('assets/js/charts.js')}}"> </script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="{{asset('assets/plugins/toastr/toastr.min.js')}}"></script>
    <script>
      var options = {
          series: [
              {
                  name: "أرباح",
                  data: [31, 40, 28, 51, 42, 109, 100],
              },
              {
                  name: "مدفوعات",
                  data: [11, 32, 45, 32, 34, 52, 41],
              },
          ],
          chart: {
              height: 350,
              type: "area",
          },
          dataLabels: {
              enabled: false,
          },
          stroke: {
              curve: "smooth",
          },
          toolbar: {
              show: false,
          },
          legend: {
              position: "top",
          },
          colors: ["#fdb933", "#eb631e"],
          xaxis: {
              categories: [
                  "فبراير",
                  "مارس",
                  "ابريل",
                  "يوليو",
                  "يونيو",
                  "اغسطس",
                  "نوفمبر",
                  "اكتوبر",
                  "سبتمبر",
              ],
          },
          tooltip: {
              x: {
                  format: "dd/MM/yy HH:mm",
              },
          },
      };
      const chart1 = document.querySelector("#chart1")


      if (chart1) {
          var chart = new ApexCharts(chart1, options);

          chart.render();
      }
    </script>
    @yield('scripts')
  </div>
</html>